Name: bonnie++
Version: 1.02c
Release: 3mdk
Summary: A program for benchmarking hard drives and filesystems
Summary(pt_BR): Benchmark (teste de performance) Bonnie para Sistemas de Arquivos Unix
Summary(es): Benchmark (prueba de desempeo) Bonnie para Sistemas de Archivos Unix
License: GPL
Group: System/Kernel and hardware
URL: http://www.coker.com.au/bonnie++/
Source: http://www.coker.com.au/bonnie++/bonnie++-%{version}.tar.bz2 
Patch0: bonnie++-1.02c-c++fixes.patch.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Provides: bonnie
Obsoletes: bonnie
Requires:	libstdc++
BuildRequires:	libstdc++

%description
Bonnie++ is a benchmark suite that is aimed at performing a number of simple
tests of hard drive and file system performance.

%description -l pt_BR
Bonnie  um benchmark (teste de performance) popular que verifica
vrios aspectos de sistemas de arquivos Unix

%description -l es
Bonnie es un benchmark (prueba de desempeo) popular que verifica
varios aspectos de sistemas de archivos Unix

%prep
%setup -q
%patch0 -p0 -b .c++fixes
autoconf

%build
%configure
%make 
perl -pi -e "s@/usr/share/doc/bonnie\+\+/@%_docdir/%name-%version/@" bonnie++.8

%install
[ -e debian/changelog ]&& (rm -f changelog.txt;mv debian/changelog changelog.txt)
perl -pi -e "s@usr/share/man@%{buildroot}%_mandir@g" Makefile
%makeinstall eprefix=%{buildroot} DESTDIR=%{buildroot}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc changelog.txt readme.html credits.txt
/sbin/bonnie++
/sbin/zcav
/bin/bon_csv2html
/bin/bon_csv2txt
%{_mandir}/man1/*
%{_mandir}/man8/*

%changelog
* Thu Jan 02 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.02c-3mdk
- build release

* Fri Nov 15 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.02c-2mdk
- alter the man page to point to right html doc place

* Thu Nov 14 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.02c-1mdk
- new relaease (bug fixes)
- rediff patch 0 (Gtz Waschk)

* Mon Oct 28 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.02a-6mdk
- rpmlint fixes

* Wed Aug 14 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.02a-5mdk
- Automated rebuild with gcc 3.2-0.3mdk

* Thu Jul 25 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.02a-4mdk
- Automated rebuild with gcc3.2

* Sat May 11 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.02a-3mdk
- Requires: libstdc++2.10 isn't needed anymore with gcc-3.1 ...

* Fri Apr 26 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.02a-2mdk
- Remove duplicate entries in filelist
- Patch0: ISO C++ fixes (use standard headers), aka fix build with gcc-3.1

* Tue Jan 29 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.02a-1mdk
- new release

* Wed Dec  5 2001 Stew Benedict <sbenedict@mandrakesoft.com> 1.02-2mdk
- reduce requires on PPC from libstdc++2.10 to libstdc++

* Thu Oct 11 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.02-1mdk
- initial releaes
- this package replace the old non-gpl bonnie
